ALTER TABLE [dbo].[PRCCHG] 
ALTER COLUMN [EVNT] [char](6) NOT NULL;
GO

ALTER TABLE [dbo].[PRCCHG] 
ALTER COLUMN [PRIC] [decimal](9, 2) NOT NULL;
GO

ALTER TABLE [dbo].[PRCCHG] 
ALTER COLUMN [PSTA] [char](1) NOT NULL;
GO

IF  EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[PRCCHG]') AND name = N'PK_PRCCHG')
ALTER TABLE [dbo].[PRCCHG] DROP CONSTRAINT [PK_PRCCHG]
GO

ALTER TABLE [dbo].[PRCCHG] ADD  CONSTRAINT [PK_PRCCHG] PRIMARY KEY CLUSTERED 
(
	[SKUN] ASC,
	[PDAT] ASC,
	[EVNT] ASC,
	[PRIC] ASC,
	[PSTA] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO

If @@Error = 0
   Print 'Success: Alter Table PRCCHG for US24872 has been deployed successfully'
Else
   Print 'Failure: Alter Table PRCCHG for US24872 has not been deployed successfully'
GO